
<div class="column col-12">
  <div id="settings-package">
    <Modal4 @close="toggleModal" :clickedpackage= clickedpackage v-if='display_show_modal'></Modal4>
    <ModalCreate @close="toggleModalCreate" v-if='display_create_modal'></ModalCreate>
    <div class="settings">
      <div class="columns space">
        <div class="column col-4">
         <span class="badge h3" :data-badge="this.total">
           Package Templates
         </span>
        </div>
        <div class="column col-8">
          <div class="float-right">
            <a class="btn btn-sm t_btn" href="#packageModal">Add Template</a>
          </div>
        </div>
      </div>
    </div>
    <div class="column col-7">

    <data-tables-server :data="packages" :total="total" @query-change="fetchData" :pagination-props="pagination"  :table-props="tableProps"  :layout="layout" @selection-change="handleSelectionChange">
      <el-table-column type="selection" width="55">
      </el-table-column>
      <el-table-column label="Package Name" sortable="custom">
        <template slot-scope="scope">
          <span v-for="button in tableListner(scope.row)" :key= "scope.row.name" type="text" class="td_text"
            @click="button.handler">
            {{ scope.row.tag }}
          </span>
        </template>
      </el-table-column>
       <el-table-column label="Description" sortable="custom">
        <template slot-scope="scope">
          <span v-for="button in tableListner(scope.row)" :key= "scope.row.name" type="text">
            {{ scope.row.description }}
          </span>
        </template>
      </el-table-column>
    </data-tables-server>
    </div>


    <div class="modal" id="packageModal">
        <a class="modal-overlay" href="#modals" aria-label="Close"></a>
        <div class="modal-container modal-fullheight inactive" role="document">
          <div class="modal-header inactive">
            <div class="heading1">
              <a class="btn btn-clear float-right" href="#modals" aria-label="Close"></a>
              <div class="modal-title h5"><span class="">Create Package</span></div>
            </div>
          </div>
          <div class="modal-body inactive">
            <div class="modal_content">
              <div class="container">
                <div class="columns">
                  <div class="column package-section top-actions">
                    <div class="toast toast-success" v-if="alertSuccess">
                      <button class="btn btn-clear float-right" @click="closeAlert"></button>
                      {{ alertMessage }}
                    </div>
                    <div class="toast toast-error" v-if="alertError" @click="closeAlert">
                      <button class="btn btn-clear float-right"></button>
                      {{ alertMessage }}
                    </div>
                  </div>
                </div>

                <div class="columns">
                  <div class="column col-6 package-section top-actions">                
                    <div class="form-group">
                      <label class="form-label" for="packageName">Package Name</label>
                      <input v-model="tag" class="form-input" type="text">
                      <div class="errorStyle" v-if="errorTag"><small>Can't be blank</small></div>
                    </div>
                    
                    <div class="form-group">
                      <label class="form-label" for="packageName">Package Description</label>
                      <input v-model="description" class="form-input" type="text" maxlength="30">
                      <div class="errorStyle" v-if="errorDescription"><small>Can't be blank</small></div>
                    </div>
                  </div>
                </div>

                <div class="columns">
                <div class="column package-section top-actions">
                  <table class="table">
                    <thead>
                      <tr>
                        <th>Type</th>
                        <th>Frequency</th>
                        <th>Basis</th>
                        <th>Rate</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody ref="editable_table">
                      <tr v-for="(e, index) in earnings" v-bind:key="index">
                        <td>
                          <span v-if="e.is_editable">
                            <select class="form-select" v-model="earning.type">
                              <option value="">Choose type</option>
                              <option v-for="type in types" v-bind:key="type">{{ type }}</option>
                            </select>
                          </span>
                          <span v-else>{{ e.type }}</span>
                        </td>
                        <td>
                          <span v-if="e.is_editable">
                            <select class="form-select" v-model="earning.frequency">
                              <option v-for="frequency in frequencies" v-bind:key="frequency">{{frequency}}</option>
                            </select>
                          </span>
                          <span v-else>{{ e.frequency }}</span>
                        </td>
                        <td>
                          <span v-if="e.is_editable">
                            <select class="form-select" v-model="earning.basis">
                              <option value="">Choose basis</option>
                              <option v-for="base in basis" v-bind:key="base">{{ base }}</option>
                            </select>
                          </span>
                          <span v-else>{{ e.basis }}</span>
                        </td>
                        <td>
                          <span v-if="e.is_editable">
                            <input class="form-input" type="number" v-model="earning.rate"/>
                          </span>
                          <span v-else>{{ e.rate }}</span>
                        </td>
                        <td>
                          <span v-if="e.is_editable">
                            <span @click="addItem(index)"><img src="/images/icons/content-save.svg" alt="Save icon" class="table_icon"/></span> |
                            <span @click="cancelItem(index)"><img src="/images/icons/close-circle.svg" alt="Cancel icon" class="table_icon"/></span>
                          </span>
                          <div v-else>
                            <span @click="editRow(index)"><img src="/images/icons/pencil-outline.svg" alt="Edit icon" class="table_icon"/></span> |
                            <span @click="deleteRow(index)"><img src="/images/icons/delete-outline.svg" alt="Delete icon" class="table_icon"/></span>
                          </div>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="columns">
                <div class="column package-section top-actions">
                  
                  <span class="newBtn" @click="addRow"><img src="/images/icons/show_page_add.svg" alt="edit icon" class=""/><span class="icon_label">ADD</span></span>
                  <span class="float-right">  
                    <span class="newBtn" @click="submit"><img src="/images/icons/submit_blue_bg.svg" alt="submit icon" class=""/><span class="icon_label">SUBMIT</span></span>
                  </span>
                </div>
              </div>

              </div>

            </div>
          </div>
          
        </div>
      </div>

    
  </div>
</div>